Skip to main content
POST
https://api.aisa.one/apis/v1
/
apollo
/
mixed_companies
/
search
Organization Search
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/mixed_companies/search \
  --header 'Authorization: Bearer <token>'
{
  "breadcrumbs": [
    "<string>"
  ],
  "partial_results_only": true,
  "has_join": true,
  "disable_eu_prospecting": true,
  "partial_results_limit": 123,
  "pagination": {},
  "accounts": [
    "<string>"
  ],
  "organizations": [
    "<string>"
  ],
  "model_ids": [
    "<string>"
  ],
  "num_fetch_result": "<string>",
  "derived_params": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q_organization_domains_list[]
string[]

The domain name for the person's employer. This can be the current employer or a previous employer. Do not include www., the @ symbol, or similar. This parameter accepts up to 1,000 domains in a single request. Examples: apollo.io; microsoft.com

organization_num_employees_ranges[]
string[]

The number range of employees working for the company. This enables you to find companies based on headcount. You can add multiple ranges to expand your search results. Each range you add needs to be a string, with the upper and lower numbers of the range separated only by a comma. Examples: 1,10; 250,500; 10000,20000

organization_locations[]
string[]

The location of the company headquarters. You can search across cities, US states, and countries. If a company has several office locations, results are still based on the headquarters location. For example, if you search chicago but a company's HQ location is in boston, any Boston-based companies will not appearch in your search results, even if they match other parameters.. To exclude companies based on location, use the organization_not_locations parameter. Examples: texas; tokyo; spain

organization_not_locations[]
string[]

Exclude companies from search results based on the location of the company headquarters. You can use cities, US states, and countries as locations to exclude. This parameter is useful for ensuring you do not prospect in an undesirable territory. For example, if you use ireland as a value, no Ireland-based companies will appear in your search results. Examples: minnesota; ireland; seoul

revenue_range[min]
integer

Search for organizations based on their revenue. Use this parameter to set the lower range of organization revenue. Use the revenue_range[max] parameter to set the upper range of revenue. Do not enter currency symbols, commas, or decimal points in the figure. Example: 300000

revenue_range[max]
integer

Search for organizations based on their revenue. Use this parameter to set the upper range of organization revenue. Use the revenue_range[min] parameter to set the lower range of revenue. Do not enter currency symbols, commas, or decimal points in the figure. Example: 50000000

currently_using_any_of_technology_uids[]
string[]

Find organizations based on the technologies they currently use. Apollo supports filtering by 1,500+ technologies. Apollo calculates technologies data from multiple sources. This data is updated regularly. Check out the full list of supported technologies by downloading this CSV file . Use underscores (_) to replace spaces and periods for the technologies listed in the CSV file. Examples: salesforce; google_analytics; wordpress_org

q_organization_keyword_tags[]
string[]

Filter search results based on keywords associated with companies. For example, you can enter mining as a value to return only companies that have an association with the mining industry. Examples: mining; sales strategy; consulting

q_organization_name
string

Filter search results to include a specific company name. If the value you enter for this parameter does not match with a company's name, the company will not appear in search results, even if it matches other parameters. Partial matches are accepted. For example, if you filter by the value marketing, a company called NY Marketing Unlimited would still be eligible as a search result, but NY Market Analysis would not be eligible. Example: apollo or mining

organization_ids[]
string[]

The Apollo IDs for the companies you want to include in your search results. Each company in the Apollo database is assigned a unique ID. To find IDs, identify the values for organization_id when you call this endpoint. Example: 5e66b6381e05b4008c8331b8

latest_funding_amount_range[min]
integer

The minimum amount the company received with its most recent funding round. Use this parameter in combination with latest_funding_amount_range[max] to set a monetary range for the company's most recent funding round. Do not enter currency symbols, commas, or decimal points in the figure. Examples: 5000000; 15000000

latest_funding_amount_range[max]
integer

The maximium amount the company received with its most recent funding round. Use this parameter in combination with latest_funding_amount_range[min] to set a monetary range for the company's most recent funding round. Do not enter currency symbols, commas, or decimal points in the figure. Examples: 5000000; 15000000

total_funding_range[min]
integer

The minimum amount the company received during all of its funding rounds combined. Use this parameter in combination with total_funding_range[max] to set a monetary range for all of the company's funding rounds. Do not enter currency symbols, commas, or decimal points in the figure. Examples: 50000000; 350000000

total_funding_range[max]
integer

The maximum amount the company received during all of its funding rounds combined. Use this parameter in combination with total_funding_range[min] to set a monetary range for all of the company's funding rounds. Do not enter currency symbols, commas, or decimal points in the figure. Examples: 50000000; 350000000

latest_funding_date_range[min]
string

The earliest date when the company received its most recent funding round. Use this parameter in combination with latest_funding_date_range[max] to set a date range for when the company received its most recent funding round. Example: 2025-07-25

latest_funding_date_range[max]
string

The latest date when the company received its most recent funding round. Use this parameter in combination with latest_funding_date_range[min] to set a date range for when the company received its most recent funding round. Example: 2025-09-25

q_organization_job_titles[]
string[]

The job titles that are listed in active job postings at the company. Examples: sales manager; research analyst

organization_job_locations[]
string[]

The locations of the jobs being actively recruited by the company. Examples: atlanta; japan

organization_num_jobs_range[min]
integer

The minimum number of job postings active at the company. Use this parameter in combination with organization_num_jobs_range[max] to set a job postings range. Examples: 50; 500

organization_num_jobs_range[max]
integer

The maximum number of job postings active at the company. Use this parameter in combination with organization_num_jobs_range[min] to set a job postings range. Examples: 50; 500

organization_job_posted_at_range[min]
string

The earliest date when jobs were posted by the company. Use this parameter in combination with organization_job_posted_at_range[max] to set a date range for when jobs posted. Example: 2025-07-25

organization_job_posted_at_range[max]
string

The latest date when jobs were posted by the company. Use this parameter in combination with organization_job_posted_at_range[min] to set a date range for when jobs posted. Example: 2025-09-25

page
integer

The page number of the Apollo data that you want to retrieve. Use this parameter in combination with the per_page parameter to make search results for navigable and improve the performance of the endpoint. Example: 4

per_page
integer

The number of search results that should be returned for each page. Limiting the number of results per page improves the endpoint's performance. Use the page parameter to search the different pages of data. Example: 10

Response

Successful response

breadcrumbs
string[]

Response array

partial_results_only
boolean

Response field

has_join
boolean

Response field

disable_eu_prospecting
boolean

Response field

partial_results_limit
integer

Response field

pagination
object

Response object

accounts
string[]

Response array

organizations
string[]

Response array

model_ids
string[]

Response array

num_fetch_result
string

Response field

derived_params
string

Response field